[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.FreeImage

Releases the resources for the image when it is discarded.

## Declaration

Source position: graphics.pp line 1420

`public procedure TCustomBitmap.FreeImage; override;`

## Description

FreeImage is an overridden method used to free the bitmap image. FreeImage calls the inherited method on entry to invalidate the handle used for the shared image. This also causes the device context for the Canvas to be freed and the shared image is release and freed.

FreeImage is called when a new value is assigned to the PixelFormat property.